IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_ROUTER' AND KSQL_COL_NAME ='FSYNCTIMESTAMP')
ALTER TABLE T_BD_ROUTER ADD (FSYNCTIMESTAMP BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_ROUTERPROCESSENTRY' AND KSQL_COL_NAME ='FVALIDDATE')
ALTER TABLE T_BD_ROUTERPROCESSENTRY ADD (FVALIDDATE DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_ROUTERPROCESSENTRY' AND KSQL_COL_NAME ='FINVALIDDATE')
ALTER TABLE T_BD_ROUTERPROCESSENTRY ADD (FINVALIDDATE DATETIME);